Colocar todos os textos e cotas atráz de outras entidades

Dúvidas sobre o AutoCAD...

Moderador: Moderadores

Responder
Avatar do usuário
evairpu
Bronze 1/3
Bronze 1/3
Mensagens: 152
Registrado em: Seg 04 Ago 2008 12:00:00 am
Localização: Jarinú/SP

Colocar todos os textos e cotas atráz de outras entidades

Mensagem por evairpu »

Salve salve...


Conheço no AutoCAD o comando texttofront, que funciona +/- como um draworder, mas que interage apenas com textos e cotas, passando-os para a frente de qualquer outra entidade...
Queria saber se existe algum outro comando como "texttoback"... Como uma função inversa ao anteriormente descrito...

Se não houver um comando deste tipo, depois tento desenvolver alguma rotina que o faça...



Alguma sugestão?
Avatar do usuário
gustavolisp
Bronze 2/3
Bronze 2/3
Mensagens: 226
Registrado em: Qui 02 Nov 2006 12:00:00 am

Mensagem por gustavolisp »

se eu fosse fazer manualmente, seria utilizando o qselect, selecionaria então os textos e usaria o draworder. provavelmente teria que fazer duas vezes, uma para mtext...

quanto à lisp, eu acho que tentaria alguma coisa ligada a layers ou às entidades mesmo.

encontrei aqui uma lisp (que não é minha) mas que filtra seleção de textos e mtextos:



[lsp]
(defun c:Mat( )
(setq tb (entsel "\nSelecione texto-base:")
tnovo (assoc 1 (entget (car tb)))
)
(prompt "\nSelecione os textos antigos <ENTER>:")
(princ)
(setq
textos (ssget (list (cons -4 "<or")(cons 0 "mtext")(cons 0 "text")(cons -4 "or>")))
cntr 0
)

(while (< cntr (sslength textos))
(setq en (ssname textos cntr)
cntr (+ cntr 1)
enlist (entget en)
textov (assoc 1 enlist)
noven (entmod (subst tnovo textov enlist))
)
)
(command "matchprop" tb textos "")
(princ)
)[/lsp]

não sei se tem outra forma mais indicada em lisp mas eu trabalharia com o command draworder...
Responder